{
  "type": "minecraft:chest",
  "pools": [
    {
      "rolls": 1,
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:chiseled_nether_bricks",
          "functions": [
            {
              "function": "minecraft:set_name",
              "name": {
                "text": "Yellow Key",
                "color": "#ffcc00",
                "italic": false
              }
            },
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:can_place_on": {
                  "blocks": "minecraft:yellow_terracotta"
                }
              }
            }
          ]
        }
      ]
    },
    {
      "rolls": {
        "type": "minecraft:uniform",
        "min": 5,
        "max": 8
      },
      "bonus_rolls": 0,
      "entries": [
        {
          "type": "minecraft:item",
          "weight": 20,
          "name": "minecraft:iron_ingot",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "type": "minecraft:uniform",
                "min": 1,
                "max": 4
              },
              "add": false
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 10,
          "name": "minecraft:gold_ingot",
          "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "type": "minecraft:uniform",
                "min": 1,
                "max": 4
              },
              "add": false
            }
          ]
        },
        {
          "type": "minecraft:item",
          "weight": 5,
          "name": "minecraft:potion",
          "functions": [
            {
              "function": "minecraft:set_potion",
              "id": "minecraft:water"
            }
          ]
        }
      ]
    }
  ],
  "random_sequence": "minecraft:chests/buried_treasure"
}